> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a new integration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/request
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/request:
    post:
      tags:
        - Integration
      summary: Request a new integration
      operationId: IntegrationController_requestIntegration
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationRequestDto'
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    IntegrationRequestDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the integration being requested
        useCases:
          type: array
          description: Use cases for the integration
          items:
            type: string
            enum:
              - pull_detections
              - pull_logs
              - containment
              - identity_sync
              - create_tickets
              - other
        importance:
          type: string
          description: How important this integration is to the customer
          enum:
            - nice_to_have
            - important
            - blocking
        notes:
          type: string
          description: Any additional context
      required:
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````